Lead Management
Create a lead management configuration
Creates a new LeadManagement configuration for the authenticated user. The configurationName must be unique per user (case-insensitive) and defaultProcess must resolve to an existing Prompt ID.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/lead-management" \ -H "Content-Type: application/json" \ -d '{ "configurationName": "Facebook Lead Ad Funnel", "source": "Facebook Lead Ad", "inboundEmail": "leads+fb@inbound.example.com", "initialStage": "New Lead", "defaultProcess": "64eea1110000000000000001", "isAutopilot": true, "starterMessage": "Hi {{firstName}}, thanks for your interest!", "costPerLead": 12.5, "status": "active", "forwardToOutreach": true }'{ "success": true, "message": "Lead management configuration created", "data": { "_id": "665f1a0c0e0a4b001a2c9f40", "configurationName": "Facebook Lead Ad Funnel", "status": "active" }}